package entity

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
)

type URLTable struct {
	ID        primitive.ObjectID `bson:"_id,omitempty"`
	ShortCode string             `bson:"short_code"`
	URL       string             `bson:"url"`
	UpdateAt  *int64             `bson:"update_at,omitempty"`
	CreateAt  *int64             `bson:"create_at,omitempty"`
}

func (a *URLTable) CollectionName() string {
	return "url"
}
